%{!?python_sitelib: %define python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
 
Summary: RPM installer/updater
Name: yum
Version: 3.2.24
Release: 2%{?dist}
License: GPLv2+
Group: System Environment/Base
Source0: http://yum.baseurl.org/download/3.2/%{name}-%{version}.tar.gz
Source1: yum.conf.fedora
Source2: yum-updatesd.conf.fedora
Patch0: installonlyn-enable.patch
Patch1: yum-mirror-priority.patch
Patch3: yum-multilib-policy-best.patch
Patch4: yum-remove-new-ssl.patch
Patch5: getinstalledpkgobject.patch
Patch6: repolist-catch-and-ignore-any-repo-errors.patch
Patch7: Ignore-old-repomd.xml-files-if-they-fail-to-parse.patch
Patch8: Make-skip-broken-handle-dupes-being-updated.patch
Patch9: obscure-locking-oserror.patch
Patch10: os.path.normpath-over-the-installroot-dir.patch
Patch11: Score-up-updates-in-compare_providers.patch


URL: http://yum.baseurl.org/
BuildArch: noarch
BuildRequires: python
BuildRequires: gettext
BuildRequires: intltool
Conflicts: pirut < 1.1.4
Requires: python >= 2.4, rpm-python, rpm >= 0:4.4.2
Requires: python-iniparse
Requires: python-sqlite
Requires: urlgrabber
Requires: yum-metadata-parser >= 1.1.0
Requires: pygpgme
Obsoletes: yum-skip-broken, yum-basearchonly
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Yum is a utility that can check for and automatically download and
install updated RPM packages. Dependencies are obtained and downloaded 
automatically prompting the user as necessary.

%package updatesd
Summary: Update notification daemon
Group: Applications/System
Requires: yum = %{version}-%{release}
Requires: dbus-python
Requires: pygobject2
Requires(preun): /sbin/chkconfig
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/service
Requires(post): /sbin/service

%description updatesd
yum-updatesd provides a daemon which checks for available updates and 
can notify you when they are available via email, syslog or dbus. 

%prep
%setup -q
%patch1 -p0
%patch3 -p0
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/%{_sysconfdir}/yum.conf
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/yum/pluginconf.d $RPM_BUILD_ROOT/usr/lib/yum-plugins

# for now, move repodir/yum.conf back
mv $RPM_BUILD_ROOT/%{_sysconfdir}/yum/repos.d $RPM_BUILD_ROOT/%{_sysconfdir}/yum.repos.d
rm -f $RPM_BUILD_ROOT/%{_sysconfdir}/yum/yum.conf

# yum-updatesd has moved to the separate source version
rm -f $RPM_BUILD_ROOT/%{_sysconfdir}/yum/yum-updatesd.conf 
rm -f $RPM_BUILD_ROOT/%{_sysconfdir}/rc.d/init.d/yum-updatesd
rm -f $RPM_BUILD_ROOT/%{_sysconfdir}/dbus-1/system.d/yum-updatesd.conf
rm -f $RPM_BUILD_ROOT/%{_sbindir}/yum-updatesd
rm -f $RPM_BUILD_ROOT/%{_mandir}/man*/yum-updatesd*
rm -f $RPM_BUILD_ROOT/%{_datadir}/yum-cli/yumupd.py*

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root, -)
%doc README AUTHORS COPYING TODO INSTALL ChangeLog
%config(noreplace) %{_sysconfdir}/yum.conf
%dir %{_sysconfdir}/yum
%dir %{_sysconfdir}/yum.repos.d
%config(noreplace) %{_sysconfdir}/logrotate.d/yum
%dir %{_datadir}/yum-cli
%{_datadir}/yum-cli/*
%{_bindir}/yum
%{python_sitelib}/yum
%{python_sitelib}/rpmUtils
%dir /var/cache/yum
%dir /var/lib/yum
%{_mandir}/man*/yum.*
%{_mandir}/man*/yum-shell*
# plugin stuff
%dir %{_sysconfdir}/yum/pluginconf.d 
%dir /usr/lib/yum-plugins

%changelog
* Mon Sep 21 2009 Seth Vidal <skvidal at fedoraproject.org> - 3.2.24-2
- backport a number of bugfix patches from yum head

* Thu Sep  3 2009 Seth Vidal <skvidal at fedoraproject.org> - 3.2.24-1
- remove new ssl patches that require newer urlgrabber than we have
- bump to 3.2.24 otherwise


* Wed May 20 2009 Seth Vidal <skvidal at fedoraproject.org> - 3.2.23-2
- add patch to close rpmdb completely

* Tue May 19 2009 Seth Vidal <skvidal at fedoraproject.org> - 3.2.23-1
- 3.2.23

* Mon May 11 2009 Seth Vidal <skvidal at fedoraproject.org> - 3.2.22-5
- jump up to almost 3.2.23. 
- had to move patch0 around a bit until we rebase to 3.2.23

* Thu Apr  9 2009 James Antill <james at fedoraproject.org> - 3.2.22-4
- fix typo for yum-complete-transaction message.

* Wed Apr  8 2009 Seth Vidal <skvidal at fedoraproject.org> - 3.2.22-3
- fix for file:// urls which makes things in pungi/mash work

* Tue Apr  7 2009 Seth Vidal <skvidal at fedoraproject.org> - 3.2.22-2
- yum-HEAD minus the yumdb patches

* Tue Mar 24 2009 Seth Vidal <skvidal at fedoraproject.org> - 3.2.22-1
- 3.2.22 - 3 patches beyond 3.2.21-16

* Mon Mar 16 2009 Seth Vidal <skvidal at fedoraproject.org> - 3.2.21-16
- fix for 490490

* Fri Mar 13 2009 Seth Vidal <skvidal at fedoraproject.org> - 3.2.21-15
- update to upstream git to fix conditionals problem on anaconda installs

* Thu Mar 12 2009 Seth Vidal <skvidal at fedoraproject.org> - 3.2.21-14
- latest HEAD

* Tue Mar 10 2009 Seth Vidal <skvidal at fedoraproject.org> - 3.2.21-13
- f11beta build

* Wed Mar  4 2009 Seth Vidal <skvidal at fedoraproject.org> - 3.2.21-12
- second verse, same as the first

* Fri Feb 27 2009 Seth Vidal <skvidal at fedoraproject.org> - 3.2.21-10
- merge up a lot of fixes from latest HEAD

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.21-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 10 2009 Seth Vidal <skvidal at fedoraproject.org> - 3.2.21-9
- merge up to latest yum head - sort of a pre 3.2.22

* Wed Feb  4 2009 Seth Vidal <skvidal at fedoraproject.org> - 3.2.21-8
- fix for YumHeaderPackages so it plays nicely w/createrepo and mergerepo, etc

* Thu Jan 29 2009 Seth Vidal <skvidal at fedoraproject.org> - 3.2.21-7
- update HEAD patch to fix repodiff (and EVR comparisons in certain cases)

* Tue Jan 27 2009 Seth Vidal <skvidal at fedoraproject.org> - 3.2.21-6
- patch to keep anaconda (and other callers) happy
- remove old 6hr patch which is now upstream

* Mon Jan 26 2009 Seth Vidal <skvidal at fedoraproject.org> - 3.2.21-4
- patch to latest HEAD to test a number of fixes for alpha

* Tue Jan 20 2009 Seth Vidal <skvidal at fedoraproject.org> - 3.2.21-3
- add a small patch to make things play a bit nicer with the logging module
  in 2.6


* Wed Jan  7 2009 Seth Vidal <skvidal at fedoraproject.org> - 3.2.21-1
- bump to 3.2.21

* Thu Dec 18 2008 James Antill <james@fedoraproject.org> - 3.2.20-8
- merge latest from upstream
- move to 6hr metadata

* Mon Dec  8 2008 Seth Vidal <skvidal at fedoraproject.org> - 3.2.20-7
- merge patch from upstream and remove now old obsoletes patch

* Thu Dec 04 2008 Jesse Keating <jkeating@redhat.com> - 3.2.20-6
- Add patch from upstream to fix cases where obsoletes are disabled. (jantill)

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 3.2.20-5
- Rebuild for Python 2.6

* Wed Nov 26 2008 Seth Vidal <skvidal at fedoraproject.org> - 3.2.20-4
- update head patch

* Wed Oct 29 2008 Seth Vidal <skvidal at fedoraproject.org> - 3.2.20-3
- full patch against HEAD for skipbroken fixes (among others)

* Mon Oct 27 2008 James Antill <james@fedoraproject.org> - 3.2.20-2
- Fix listTransaction for skipped packages.

* Mon Oct 27 2008 Seth Vidal <skvidal at fedoraproject.org> - 3.2.20-1
- 3.2.20

* Thu Oct 23 2008 Seth Vidal <skvidal at fedoraproject.org> - 3.2.19-6
- update HEAD patch

* Wed Oct 15 2008 Seth Vidal <skvidal at fedoraproject.org> - 3.2.19-5
- rebase against 3.2.X HEAD

* Tue Oct 14 2008 Seth Vidal <skvidal at fedoraproject.org> - 3.2.19-4
- pull patch from git to bring us up to current(ish)

* Wed Sep  3 2008 Seth Vidal <skvidal at fedoraproject.org> - 3.2.19-3
- add patch to fix yum install name.arch matching

* Thu Aug 28 2008 Seth Vidal <skvidal at fedoraproject.org> - 3.2.19-2
- add patch to fix mash's parser use.

* Wed Aug 27 2008 Seth Vidal <skvidal at fedoraproject.org> - 3.2.19-1
- 3.2.19

* Thu Aug  7 2008 Seth Vidal <skvidal at fedoraproject.org> - 3.2.18-1
- 3.2.18

* Wed Jul 10 2008 Seth Vidal <skvidal@fedoraproject.org> - 3.2.17-2
- add patch from upstream for bug in compare_providers

* Wed Jul  9 2008 Seth Vidal <skvidal@fedoraproject.org> - 3.2.17-1
- 3.2.17

* Tue Jun 24 2008 Jesse Keating <jkeating@redhat.com> - 3.2.16-4
- Add a couple more upstream patches for even more multilib fixes

* Tue Jun 24 2008 Jesse Keating <jkeating@redhat.com> - 3.2.16-3
- Add another patch from upstream for multilib policy and noarch

* Sun May 18 2008 Seth Vidal <skvidal at fedoraproject.org> 3.2.16-2
- stupid, stupid, stupid


* Fri May 16 2008 Seth Vidal <skvidal at fedoraproject.org> 3.2.16-1
- 3.2.16

* Tue Apr 15 2008 Seth Vidal <skvidal at fedoraproject.org> 3.2.14-9
- nine is the luckiest number that there will ever be

* Tue Apr 15 2008 Seth Vidal <skvidal at fedoraproject.org> 3.2.14-8
- after many tries - this one fixes translations AND pungi

* Thu Apr 10 2008 Seth Vidal <skvidal at fedoraproject.org> 3.2.14-5
- once more, with feeling

* Thu Apr 10 2008 Seth Vidal <skvidal at fedoraproject.org> 3.2.14-4
- another big-head-patch

* Wed Apr  9 2008 Seth Vidal <skvidal at fedoraproject.org> 3.2.14-3
- apply patch to bring this up to where HEAD is now.

* Tue Apr  8 2008 Seth Vidal <skvidal at fedoraproject.org> 3.2.14-1
- remove committed patch
- obsoletes yum-basearchonly

* Tue Apr  1 2008 Seth Vidal <skvidal at fedoraproject.org> 3.2.13-2
- fix minor typo in comps.py for jkeating

* Thu Mar 20 2008 Seth Vidal <skvidal at fedoraproject.org> 3.2.13-1
- 3.2.13

* Mon Mar 17 2008 Seth Vidal <skvidal at fedoraproject.org> 3.2.12-5
- update manpage patch to close bug 437703. Thakns to Kulbir Saini for the patch


* Fri Mar 14 2008 Seth Vidal <skvidal at fedoraproject.org> 3.2.12-4
- multilib_policy=best is  now the default

* Thu Mar 13 2008 Seth Vidal <skvidal at fedoraproject.org> 
- add jeff sheltren's patch to close rh bug 428825

* Tue Mar  4 2008 Seth Vidal <skvidal at fedoraproject.org> 3.2.12-3
- set failovermethod to 'priority' to make jkeating happy

* Tue Mar  4 2008 Seth Vidal <skvidal at fedoraproject.org> 3.2.12-2
- fix mutually obsoleting providers (like glibc!)

* Mon Mar  3 2008 Seth Vidal <skvidal at fedoraproject.org> - 3.2.12-1
- 3.2.12

* Fri Feb  8 2008 Seth Vidal <skvidal at fedoraproject.org> - 3.2.11-1
- 3.2.11

* Sun Jan 27 2008 James Bowes <jbowes@redhat.com> 3.2.10-3
- Remove yumupd.py

* Fri Jan 25 2008 Seth Vidal <skvidal at fedoraproject.org> - 3.2.10-1
- 3.2.10
- add pygpgme dep


* Wed Dec  5 2007 Seth Vidal <skvidal at fedoraproject.org> - 3.2.8-2
- keep livecd working - patch from upstream until 3.2.9 comes out


* Mon Dec  3 2007 Seth Vidal <skvidal at fedoraproject.org> - 3.2.8-1
- 3.2.8


* Wed Nov 28 2007 Seth Vidal <skvidal at fedoraproject.org> - 3.2.7-2
- fix for lots of output in transaction hanging the transaction

* Fri Oct 12 2007 Seth Vidal <skvidal at fedoraproject.org> - 3.2.7-1
- 3.2.7
- remove all merged patches


* Thu Oct 11 2007 Jeremy Katz <katzj@redhat.com> - 3.2.6-5
- fix corner case obsoletes depsolving bug

* Thu Oct 11 2007 Jeremy Katz <katzj@redhat.com> - 3.2.6-4
- fix typo in one of yesterday's patches

* Wed Oct 10 2007 Jeremy Katz <katzj@redhat.com> - 3.2.6-3
- pull in upstream fixes for obsoletes to not pull in extra arches (#301661),
  expose key fingerprint in callback and to remove a debug message

* Mon Oct  8 2007 Seth Vidal <skvidal at fedoraproject.org> 3.2.6-2
- fixes pre-3.2.7

* Fri Oct  5 2007 Seth Vidal <skvidal at fedoraproject.org> 3.2.6-1
- 3.2.6 
- remove all old patches

* Wed Sep 25 2007 Jeremy Katz <katzj@redhat.com> - 3.2.5-4
- pull in fixes from upstream for media handling, pkgid (#291471), and 
  a potential depsolving bug

* Mon Sep 17 2007 Jeremy Katz <katzj@redhat.com> - 3.2.5-3
- fix traceback with closing repos 

* Wed Sep 12 2007 Jeremy Katz <katzj@redhat.com> - 3.2.5-2
- add upstream patch to improve RPMTransaction display

* Mon Sep 10 2007 Seth Vidal <skvidal at fedoraproject.org> 3.2.5-1
- 3.2.5 - pull out unused patches

* Wed Sep  5 2007 Jeremy Katz <katzj@redhat.com> - 3.2.4-4
- test patch for only packages which are not being otherwise updated to not 
  be shown as being updated for deps

* Wed Aug 29 2007 Seth Vidal <skvidal at fedoraproject.org> 3.2.4-3
- patch from git-HEAD - unresolved deps

* Wed Aug 29 2007 Seth Vidal <skvidal at fedoraproject.org> 3.2.4-2
- add ver-to-none patch to fix, a lot of things, actually.

* Tue Aug 28 2007 Seth Vidal <skvidal at fedoraproject.org> 3.2.4-1
-  3.2.4 release
- add python-iniparse dep
- remove 3.2.3-3 patches since they're include in 3.2.4


* Tue Aug 28 2007 Jeremy Katz <katzj@redhat.com> - 3.2.3-3
- fix some depsolving cases

* Thu Aug 23 2007 Seth Vidal <skvidal at fedoraproject.org> 3.2.3-2
- add patch to fix bug when yum is redirected to a pipe/file

* Wed Aug 22 2007 Seth Vidal <skvidal at fedoraproject.org> 3.2.3-1
- yum 3.2.3
- add /var/lib/yum for persistent dir

* Wed Jul 25 2007 Seth Vidal <skvidal at fedoraproject.org> 3.2.2-3
- include panu's rpm-signal-catch patch from yum head.
- include exception fix, too.

* Tue Jul 24 2007 Jeremy Katz <katzj@redhat.com> - 3.2.2-2
- remove yum-updatesd subpackage; moving to the separate version

* Fri Jul 20 2007 Seth Vidal <skvidal at fedoraproject.org> - 3.2.2-1
- 3.2.2
- disable unused installonlyn plugin
- set installonly_limit to '2'

* Tue Jul 10 2007 James Bowes <jbowes@redhat.com> - 3.2.1-2
- defattr, buldarch, and macro suggestions from the merge review

* Thu Jun 21 2007 Seth Vidal <skvidal at fedoraproject.org> - 3.2.1-1
- bump to 3.2.1


* Wed May 16 2007 Seth Vidal <skvidal at fedoraproject.org> - 3.2.0-1
- pull out yum-misc-fixes patch
- bump to 3.2.0

* Mon Apr 30 2007 Jeremy Katz <katzj@redhat.com> - 3.1.7-2
- add fix for fastestmirror (#238276)

* Fri Apr 27 2007 Jeremy Katz <katzj@redhat.com> - 3.1.7-1
- update to 3.1.7 with lots of fixes (including #233427, #237425, #236152, 
  #223607, #230851, #232202, #221940, #236409, #201393, #237599)

* Mon Apr 23 2007 Jeremy Katz <katzj@redhat.com> - 3.1.6-3
- include the fix for comps files in extra repos with anaconda (#237546)

* Wed Apr 18 2007 Jeremy Katz <katzj@redhat.com> - 3.1.6-2
- fix install with patterns (#236950)
- fix multiple repos in anaconda (#231543)

* Wed Apr  4 2007 Jeremy Katz <katzj@redhat.com> - 3.1.6-1
- update to 3.1.6

* Thu Mar 22 2007 James Bowes <jbowes@redhat.com> - 3.1.5-1
- update to 3.1.5

* Wed Mar  7 2007 Jeremy Katz <katzj@redhat.com> - 3.1.4-1
- update to 3.1.4

* Fri Mar  2 2007 Jeremy Katz <katzj@redhat.com> - 3.1.3-2
- pile of bugfixes committed upstream (#230734, #230771, and others)

* Thu Mar  1 2007 Jeremy Katz <katzj@redhat.com> - 3.1.3-1
- update to 3.1.3
- add patch to fix a case where broken deps weren't detected correctly

* Wed Feb 21 2007 Jeremy Katz <katzj@redhat.com> - 3.1.2-1
- 3.1.2

* Wed Feb 14 2007 Jeremy Katz <katzj@redhat.com> - 3.1.1-3
- learn about kernel-debug (#228709)

* Tue Feb 13 2007 James Bowes <jbowes@redhat.com> - 3.1.1-2
- Spec file updates from the merge review: use correct buildroot,
  mark logrotate file as noreplace, require correct versions of python
  and rpm, use name macro in source0.

* Thu Feb  8 2007 Jeremy Katz <katzj@redhat.com> - 3.1.1-1
- update to 3.1.1
- keep config bits in old locations for now

* Mon Jan 22 2007 Jeremy Katz <katzj@redhat.com> - 3.1.0-2
- fix typo in yum-updatesd

* Mon Jan 22 2007 Jeremy Katz <katzj@redhat.com> - 3.1.0-1
- update to 3.1.0

* Fri Dec 15 2006 Jeremy Katz <katzj@redhat.com> - 3.0.1-6
- fix yum provides (#219716)

* Tue Dec 12 2006 Jeremy Katz <katzj@redhat.com> - 3.0.1-5
- further python 2.5 fix (Deji Akingunola, #219244)
- fix silent failures (#219030)

* Mon Dec 11 2006 Jeremy Katz <katzj@redhat.com> - 3.0.1-4
- fix typo in python2.5 patch (#219029)

* Wed Dec  6 2006 Jeremy Katz <katzj@redhat.com> - 3.0.1-3
- fixes to work with python 2.5

* Fri Nov 10 2006 Jeremy Katz <katzj@redhat.com> - 3.0.1-2
- yum-updatesd fixes (#213622, #212494, #212507)

* Fri Nov  3 2006 Jeremy Katz <katzj@redhat.com> - 3.0.1-1
- update to 3.0.1

* Fri Oct 13 2006 Paul Nasrat <pnasrat@redhat.com> - 3.0-6
- fix package comparison for available packages

* Thu Oct 12 2006 Jeremy Katz <katzj@redhat.com> - 3.0-5
- fix traceback when syslog not available (#208773)
- fix package comparison not properly handling different arches (#210316)

* Tue Oct 10 2006 Jeremy Katz <katzj@redhat.com> - 3.0-4
- fix traceback on package download error (#210135, #210181, #210115)

* Thu Oct  5 2006 Jeremy Katz <katzj@redhat.com> - 3.0-3
- fix traceback referencing var (#209471)
- add dgregor's basepath patch

* Thu Oct  5 2006 Jeremy Katz <katzj@redhat.com> - 3.0-2
- fix traceback in yum-updatesd

* Wed Oct  4 2006 Jeremy Katz <katzj@redhat.com> - 3.0-1
- 3.0 

* Fri Sep 29 2006 Jeremy Katz <katzj@redhat.com> - 2.9.8-1
- update to 2.9.8 with the past two fixes as well as fixes for 
  exclude/include lines in config files

* Thu Sep 28 2006 Jeremy Katz <katzj@redhat.com> - 2.9.7-4
- fix trying to reget existing files (#208460)

* Wed Sep 27 2006 Jeremy Katz <katzj@redhat.com> - 2.9.7-3
- and better fix for upstream (jbowes)

* Wed Sep 27 2006 Jeremy Katz <katzj@redhat.com> - 2.9.7-2
- backout patch that breaks anaconda

* Wed Sep 27 2006 Jeremy Katz <katzj@redhat.com> - 2.9.7-1
- update to 2.9.7

* Thu Sep 21 2006 James Bowes <jbowes@redhat.com> - 2.9.6-2
- Remove unused imports in installonlyn

* Wed Sep  6 2006 Jeremy Katz <katzj@redhat.com> - 2.9.6-1
- update to 2.9.6

* Tue Sep  5 2006 Jeremy Katz <katzj@redhat.com> - 2.9.5-5
- update to current CVS snap (20060906) in advance of the final 2.9.6 tarball
- bring back the installonlyn fixes 

* Thu Aug 31 2006 Jeremy Katz <katzj@redhat.com> - 2.9.5-4
- revert installonlyn changes; they require changes that will only be in 2.9.6

* Wed Aug 30 2006 Jeremy Katz <katzj@redhat.com> - 2.9.5-3
- fix deprecation warnings in installonlyn (Jack Neely)

* Thu Aug 24 2006 Jeremy Katz <katzj@redhat.com> - 2.9.5-2
- add patch to fix case of an empty rpmdb (eg, at install time #204005)

* Wed Aug 23 2006 Jeremy Katz <katzj@redhat.com> - 2.9.5-1
- update to 2.9.5

* Fri Aug 18 2006 Chris Lumens <clumens@redhat.com> 2.9.4-4
- Add patch to fix pattern matching (#202974).

* Fri Aug 18 2006 Karsten Hopp <karsten@redhat.com> - 2.9.4-3
- revert last change

* Thu Aug 17 2006 Karsten Hopp <karsten@redhat.com> - 2.9.4-2
- Requires: libxml2-python for updatesd subpackage

* Wed Aug  9 2006 Jeremy Katz <katzj@redhat.com> - 2.9.4-1
- update to 2.9.4 (including logging fixes, gpg checking fix, 
  and fixes for #200901, #200346, #189483)

* Mon Jul 24 2006 Florian La Roche <laroche@redhat.com> - 2.9.3-2
- add patch to not require /dev/log (not present in chroots) #199558

* Wed Jul 12 2006 Jeremy Katz <katzj@redhat.com> - 2.9.3-1
- update to 2.9.3
- add fix for taking the yum lock more than once and a variable typo from CVS

* Wed Jul  5 2006 Jeremy Katz <katzj@redhat.com> - 2.9.2-3
- few other little api fixes (#197603, #197607)

* Mon Jul  3 2006 Jeremy Katz <katzj@redhat.com> - 2.9.2-2
- fix tyop (#197398)

* Wed Jun 28 2006 Jeremy Katz <katzj@redhat.com> - 2.9.2-1
- update to 2.9.2

* Tue Jun 27 2006 Jeremy Katz <katzj@redhat.com> - 2.9.1-2
- move yum-updatesd into a subpackage
- no longer ship the yum update cronjob, yum-updatesd can do this instead

* Tue Jun 20 2006 Jeremy Katz <katzj@redhat.com> - 2.9.1-1
- update to 2.9.1

* Mon Jun 19 2006 Paul Nasrat <pnasrat@redhat.com> - 2.9.0-8
- Fix resolvedeps

* Thu Jun 15 2006 Bill Nottingham <notting@redhat.com> 2.9.0-7
- require pygobject2 (for yum-updatesd)

* Thu Jun 15 2006 Chris Lumens <clumens@redhat.com> 2.9.0-6
- Fix compareEVR traceback.

* Wed Jun 14 2006 Paul Nasrat <pnasrat@redhat.com> - 2.9.0-5
- Various fixups (key grab and importing, composite exception handling)

* Tue Jun 13 2006 Jeremy Katz <katzj@redhat.com> - 2.9.0-4
- install yum-updatesd bits

* Tue Jun 13 2006 Jeremy Katz <katzj@redhat.com> - 2.9.0-3
- add patch to fix filelist crash installing/querying the filesystem package
- add patch to fix excludes

* Mon Jun 12 2006 Jeremy Katz <katzj@redhat.com> - 2.9.0-2
- add patch for mirror errors

* Mon Jun 12 2006 Jeremy Katz <katzj@redhat.com> - 2.9.0-1
- update to 2.9.0, require C-based metadata parser to speed things up

* Mon Jun  5 2006 Jeremy Katz <katzj@redhat.com> - 2.6.1-4
- handle PAE kernels in installonlyn (#194064)

* Thu May 25 2006 Paul Nasrat <pnasrat@redhat.com> - 2.6.1-3
- Rebuild with patch

* Wed May 24 2006 Paul Nasrat <pnasrat@redhat.com> - 2.6.1-2
- backport mirror failure callback 

* Wed Apr 26 2006 Jeremy Katz <katzj@redhat.com> - 2.6.1-1
- update to 2.6.1 with fixes for #181406, #185309, #161190, #185946

* Tue Apr 18 2006 Jeremy Katz <katzj@redhat.com> - 2.6.0-3
- more proxy fixing for non CLI use case (#185309)

* Mon Apr 10 2006 Jeremy Katz <katzj@redhat.com> - 2.6.0-2
- add fix for xen0/xenU kernels in installonlyn (#187894)
- add fix for proxies with the mirror list (#161190)

* Mon Mar  6 2006 Jeremy Katz <katzj@redhat.com> - 2.6.0-1
- update to 2.6.0 final containing fix for #176257

* Fri Mar 03 2006 Paul Nasrat <pnasrat@redhat.com> - 2.5.3-5
- Add support for patterns in YumBase.install()

* Thu Mar 02 2006 Paul Nasrat <pnasrat@redhat.com> - 2.5.3-4
- Cover pkg then group selection in conditional group support (#181858)

* Thu Mar 02 2006 Paul Nasrat <pnasrat@redhat.com> - 2.5.3-3
- Conditional group support (#181858)

* Fri Feb 24 2006 Jeremy Katz <katzj@redhat.com> - 2.5.3-2
- fix installyonlyn bug with tokeep > 2 (#176704)

* Wed Feb 22 2006 Jeremy Katz <katzj@redhat.com> - 2.5.3-1
- Update to 2.5.3 with fixes for lots of stuff (and all of our patches applied)
  (#177528, #177737, #179512, others)

* Fri Feb 10 2006 Paul Nasrat <pnasrat@redhat.com> - 2.5.1-5
- Merge patches from head for group plugin support and conditionals

* Fri Feb 03 2006 Paul Nasrat <pnasrat@redhat.com> - 2.5.1-4
- Fix group unselect traceback (cf #177737)

* Tue Jan 31 2006 Paul Nasrat <pnasrat@redhat.com> - 2.5.1-3
- Merge upstream patches (sortabletransactiondata, grouplists)

* Sun Jan 15 2006 Paul Nasrat <pnasrat@redhat.com> - 2.5.1-2
- Fix group removal traceback (#177737)

* Sun Jan  8 2006 Jeremy Katz <katzj@redhat.com> - 2.5.1-1
- seth loves me and made a 2.5.1 release.  so no cvs snap for you! 

* Sun Jan  8 2006 Jeremy Katz <katzj@redhat.com> - 2.5.1-0.20060108
- update to CVS snap

* Wed Dec 21 2005 Paul Nasrat <pnasrat@redhat.com> - 2.5.0-5
- Make txmbr hashable (#175975)

* Fri Dec 16 2005 Paul Nasrat <pnasrat@redhat.com> - 2.5.0-4
- Fix for KeyError when no location['base']

* Wed Dec 14 2005 Jeremy Katz <katzj@redhat.com> - 2.5.0-3
- better mirrorlist fix

* Wed Dec 14 2005 Jeremy Katz <katzj@redhat.com> - 2.5.0-2
- revert installyonlyn change that wasn't supposed to get committed
- better fix for #175647 that doesn't cause tracebacks when deps 
  need updating too
- fix mirrorlist corruption (#175436)

* Tue Dec 13 2005 Jeremy Katz <katzj@redhat.com> - 2.5.0-1
- update to 2.5.0
- add patch for traceback in #175647

* Sat Dec 10 2005 Jeremy Katz <katzj@redhat.com> - 2.5.0-0.20051210
- update to newer CVS

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Dec  7 2005 Jeremy Katz <katzj@redhat.com> - 2.5.0-0.20051207
- update to cvs snap for new group code and lots of other stuff

* Tue Dec  6 2005 Jeremy Katz <katzj@redhat.com> - 2.4.1-3
- ... and actually apply the patch

* Mon Dec  5 2005 Jeremy Katz <katzj@redhat.com> - 2.4.1-2
- add Panu's patch for cachecookie cleaning (#174715)
- change default cache time to 30 minutes to match new upstream

* Wed Nov 30 2005 Jeremy Katz <katzj@redhat.com> - 2.4.1-1
- update to 2.4.1
- add PLUGINS to the docs
- fix another installonlyn bug (#174001)

* Wed Nov 16 2005 Jeremy Katz <katzj@redhat.com> - 2.4.0-14
- really fix kernel-smp-devel

* Fri Nov 11 2005 Jeremy Katz <katzj@redhat.com> - 2.4.0-13
- handle installonlypkgs in provides too to handle, eg, 
  kernel-smp-devel (#172981)

* Thu Nov 10 2005 Jeremy Katz <katzj@redhat.com> - 2.4.0-12
- fix problem with custom kernel names in installonlyn (#172855)
- make it more obvious how to add more tokeep with installonlyn

* Wed Nov 09 2005 Paul Nasrat <pnasrat@redhat.com> - 2.4.0-11
- Expose location base from metadata

* Tue Nov  8 2005 Jeremy Katz <katzj@redhat.com> - 2.4.0-10
- fix problem in installonlyn that caillon hit where removing kernels 
  would trigger instead of only happening on update/install of kernels
- make plugin config files noreplace

* Mon Nov  7 2005 Jeremy Katz <katzj@redhat.com> - 2.4.0-9
- enable plugins by default
- add installyonlyn plugin so that we only keep two kernels around by default

* Mon Oct 24 2005 Jeremy Katz <katzj@redhat.com> - 2.4.0-8
- drop macro patch
- more fixes for returnByName* stuff -- need to leave best arch selection
  to the caller

* Sun Oct 23 2005 Paul Nasrat <pnasrat@redhat.com> - 2.4.0-7
- Drop anaconda flag patch
- Fix ppc64pseries/iseries basearch substitution

* Thu Oct 06 2005 Paul Nasrat <pnasrat@redhat.com> - 2.4.0-6
- Backport transaction constants
- Allow setting anaconda flag

* Tue Oct  4 2005 Jeremy Katz <katzj@redhat.com>
- add dirs for plugins

* Tue Sep 27 2005 Jeremy Katz <katzj@redhat.com> - 2.4.0-5
- add yum-cli dir (#169334)

* Wed Sep 21 2005 Jeremy Katz <katzj@redhat.com> - 2.4.0-4
- make returnByName* be consistent in what it returns (#168712)

* Fri Sep 16 2005 Jeremy Katz <katzj@redhat.com> - 2.4.0-3
- add two patches for anaconda that have been committed upstream
  * allow removal of packages from transaction
  * support search by name with sqlite

* Thu Sep 01 2005 Paul Nasrat <pnasrat@redhat.com> - 2.4.0-2
- Initial version of macro support patch

* Tue Aug 16 2005 Jeremy Katz <katzj@redhat.com> - 2.4.0-1
- update to 2.4.0

* Fri Jul  8 2005 Jeremy Katz <katzj@redhat.com> - 2.3.4-1
- update to 2.3.4
- use %%{python_sitelib} in the file list

* Wed Jun 15 2005 Jeremy Katz <katzj@redhat.com> - 2.3.3-1
- update to 2.3.3

* Wed May 25 2005 Paul Nasrat <pnasrat@redhat.com> - 2.3.2-7
- Drop erase reversal patch 

* Tue May 24 2005 Paul Nasrat <pnasrat@redhat.com> - 2.3.2-6
- Erase/remove reversing for yum cli (#158577)

* Tue May 24 2005 Jeremy Katz <katzj@redhat.com> - 2.3.2-5
- allow multiple packages _providing_ kernel-devel (or any installonlypkgs) 
  to be installed (#155988)

* Mon May 23 2005 Jeremy Katz <katzj@redhat.com> - 2.3.2-4
- fix traceback on out of disk space error

* Fri May 20 2005 Jeremy Katz <katzj@redhat.com> - 2.3.2-3
- add fixes from Seth for the shell to run depsolve and to clean up 
  output somewhat (#158267)

* Thu May  5 2005 Jeremy Katz <katzj@redhat.com> - 2.3.2-2
- handle ppc64/sparc64 "correctly"

* Mon Apr  4 2005 Jeremy Katz <katzj@redhat.com> - 2.3.2-1
- update to 2.3.2, now requires python-elementtree for xml parsing

* Tue Mar 15 2005 Jeremy Katz <katzj@redhat.com> - 2.3.1-3
- add patch from gijs for sqlite changes

* Mon Mar 14 2005 Florian La Roche <laroche@redhat.com>
- python-sqlite3 -> python-sqlite

* Mon Mar  7 2005 Jeremy Katz <katzj@redhat.com> - 2.3.1-1
- update to 2.3.1
- urlgrabber is split out into its own package now
- require python-sqlite3

* Tue Feb 22 2005 Jeremy Katz <katzj@redhat.com> - 2.3.0-2
- fix the duplicate repos with the same id bug

* Mon Feb 21 2005 Jeremy Katz <katzj@redhat.com> - 2.3.0-1
- update to 2.3.0

* Tue Jan 25 2005 Jeremy Katz <katzj@redhat.com> - 2.1.13-1
- update to 2.1.13

* Sat Jan 22 2005 Jeremy Katz <katzj@redhat.com> - 2.1.12-2
- allow multiple kernel-devel packages to be installed

* Wed Jan 12 2005 Florian La Roche <laroche@redhat.com>
- add small patch to fix dep reporting

* Mon Nov 29 2004 Jeremy Katz <katzj@redhat.com> - 2.1.12-1
- update to 2.1.12
- add hack from jbj to workaround python 2.4 urllib breakage (#138535)

* Mon Nov  8 2004 Jeremy Katz <katzj@redhat.com> - 2.1.11-4
- rebuild for python 2.4

* Sun Oct 31 2004 Bill Nottingham <notting@redhat.com> - 2.1.11-3
- fix multilib update patch to allow installing noarch (#135396, continued)

* Fri Oct 29 2004 Jeremy Katz <katzj@redhat.com> - 2.1.11-2
- add patch to fix multilib updates on ia32e (#135396)

* Thu Oct 28 2004 Jeremy Katz <katzj@redhat.com> - 2.1.11-1
- update to 2.1.11
  - fix config file error handling
  - better handling of empty lines/comments in mirror lists
  - improve some error messages

* Sun Oct 24 2004 Jeremy Katz <katzj@redhat.com> - 2.1.10-3.1
- make the cron job executable (#136764)

* Thu Oct 21 2004 Jeremy Katz <katzj@redhat.com> - 2.1.10-3
- actually remove the repositories

* Wed Oct 20 2004 Jeremy Katz <katzj@redhat.com> - 2.1.10-2
- remove repositories from being explicitly listed in yum.conf, 
  .repo files will be included in the fedora-release package

* Tue Oct 19 2004 Jeremy Katz <katzj@redhat.com> - 2.1.10-1
- update to 2.1.10
  * updated man pages
  * make more resilient to broken groups file
  * fix urlgrabber failure callback (#136178)

* Mon Oct 18 2004 Jeremy Katz <katzj@redhat.com> - 2.1.9-1
- 2.1.9 includes the path fix

* Mon Oct 18 2004 Jeremy Katz <katzj@redhat.com> - 2.1.8-2
- fix path in /usr/bin/yum
- turn on gpgchecking by default

* Mon Oct 18 2004 Bill Nottingham <notting@redhat.com> - 2.1.8-1
- 2.1.8, fixes #135735, #135998, #135775

* Wed Oct 13 2004 Jeremy Katz <katzj@redhat.com> - 2.1.7-2
- add yum-arch

* Wed Oct 13 2004 Jeremy Katz <katzj@redhat.com> - 2.1.7-1
- 2.1.7
- use mirror list by default

* Wed Oct  6 2004 Bill Nottingham <notting@redhat.com> - 2.1.6-1
- 2.1.6

* Mon Oct  4 2004 Jeremy Katz <katzj@redhat.com> - 2.1.5-1
- 2.1.5
- turn on obsoletes=1 by default in yum.conf

* Wed Sep 29 2004 Bill Nottingham <notting@redhat.com> - 2.1.4-1
- 2.1.4

* Fri Sep  3 2004 Bill Nottingham <notting@redhat.com> - 2.1.3-1
- 2.1.3

* Thu Sep  2 2004 Jeremy Katz <katzj@redhat.com> - 2.1.2-1
- 2.1.2

* Wed Sep  1 2004 Jeremy Katz <katzj@redhat.com> - 2.1.1-1
- 2.1.1

* Tue Aug 31 2004 Jeremy Katz <katzj@redhat.com> - 2.1.0-1
- update to 2.1.0

* Wed Jul 7 2004  Elliot Lee <sopwith@redhat.com> 2.0.7-3
- Back to rawhide

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue May 11 2004 Elliot Lee <sopwith@redhat.com> 2.0.7-1.1
- Update config again

* Fri May  7 2004 Jeremy Katz <katzj@redhat.com> 2.0.7-1
- update to 2.0.7
- change config to point to final FC2 locations

* Fri Apr 16 2004 Jeremy Katz <katzj@redhat.com> - 2.0.7-0.20040416
- new snap 

* Sat Apr  3 2004 Jeremy Katz <katzj@redhat.com> 2.0.7-0.20040403
- new snap, should fix yum -e name.arch

* Wed Mar 17 2004 Jeremy Katz <katzj@redhat.com> 2.0.6-1
- update to 2.0.6

* Wed Mar 10 2004 Jeremy Katz <katzj@redhat.com> 2.0.5.20040310-1
- update to today's snap

* Wed Mar  3 2004 Jeremy Katz <katzj@redhat.com> 2.0.5.20040303-1
- today's snap

* Tue Mar  2 2004 Jeremy Katz <katzj@redhat.com> - 2.0.5.20040229-1
- update again per seth's request

* Thu Feb 26 2004 Florian La Roche <Florian.LaRoche@redhat.de>
- mv /etc/init.d -> /etc/rc.d/init.d

* Tue Feb 24 2004 Jeremy Katz <katzj@redhat.com> - 2.0.5.20040224-1
- newer

* Mon Feb 23 2004 Jeremy Katz <katzj@redhat.com> - 2.0.5.20040223-1
- update to current snapshot per skvidal's request
- add retries=20 to yum.conf

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Jan 23 2004 Bill Nottingham <notting@redhat.com> 2.0.4.20040103-1
- update to current snapshot
- fix config for FC2 test 1

* Tue Dec 23 2003 Jeff Johnson <jbj@redhat.com> 2.0.4-5
- build yum daily snapshot for amd64 fix.

* Wed Nov 12 2003 Bill Nottingham <notting@redhat.com> 2.0.4-4
- patch for excluding dirs in yum-arch from CVS

* Thu Nov  6 2003 Jeremy Katz <katzj@redhat.com> 2.0.4-3
- patch to work with python 2.3 from Seth

* Wed Oct 29 2003 Elliot Lee <sopwith@redhat.com> 2.0.4-2
- Stick in a new yum.conf for FC1.

* Mon Oct 20 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- new upstream release 2.0.4

* Tue Sep 16 2003 Jeff Johnson <jbj@redhat.com> 2.0.3-1
- update to 2.0.3
- drop yum-init patch, merged into 2.0.3.
- change rpm version requirement to 4.1.1.

* Thu Jul 24 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- change init script to more current RHL style

* Wed Jul 23 2003 Nalin Dahyabhai <nalin@redhat.com>
- require libxml2-python, because yum does

* Thu Jul 17 2003 Jeff Johnson <jbj@redhat.com> 2.0-1
- update to 2.0.

* Thu May 22 2003 Jeff Johnson <jbj@redhat.com> 1.98-0.20030522
- update to snapshot.

* Mon May 12 2003 Jeff Johnson <jbj@redhat.com> 1.98-0.20030512
- create.
